# Compose Material Dialogs

:rocket:  Easy to use library to help you build complex dialogs using Jetpack Compose :rocket:

[![Codacy Badge](https://app.codacy.com/project/badge/Grade/ae8d455118164f43a24732761a970cc8)](https://www.codacy.com/gh/vanpra/compose-material-dialogs/dashboard?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=vanpra/compose-material-dialogs&amp;utm_campaign=Badge_Grade)![Build & Test](https://github.com/vanpra/compose-material-dialogs/actions/workflows/main.yml/badge.svg)

**Latest Stable Library Version: 0.7.2 (Supports Compose 1.1.1)**

**Latest Beta Library Version: 0.8.1-rc (Supports Compose 1.2.0-rc03)**

### [See Releases and Changelog](https://github.com/vanpra/compose-material-dialogs/blob/main/CHANGELOG.md)

## Core

#### [Core Documentation](https://vanpra.github.io/compose-material-dialogs/Core)

![](https://raw.githubusercontent.com/vanpra/compose-material-dialogs/main/imgs/full_core.png)

[![Maven Central](https://maven-badges.herokuapp.com/maven-central/io.github.vanpra.compose-material-dialogs/core/badge.svg)](https://maven-badges.herokuapp.com/maven-central/io.github.vanpra.compose-material-dialogs/core)

```gradle
dependencies {
  ...
  implementation "io.github.vanpra.compose-material-dialogs:core:${version}" 
  ...
}
```

## Date and Time Picker

#### [Date and Time Picker Documentation](https://vanpra.github.io/compose-material-dialogs/DateTimePicker)

![](https://raw.githubusercontent.com/vanpra/compose-material-dialogs/main/imgs/date_and_time.png)

[![Maven Central](https://maven-badges.herokuapp.com/maven-central/io.github.vanpra.compose-material-dialogs/datetime/badge.svg)](https://maven-badges.herokuapp.com/maven-central/io.github.vanpra.compose-material-dialogs/datetime)

```gradle
dependencies {
  ...
  implementation "io.github.vanpra.compose-material-dialogs:datetime:${version}"
  ...
}
```

## Color Picker

#### [Color Picker Documentation](https://vanpra.github.io/compose-material-dialogs/ColorPicker)

![](https://raw.githubusercontent.com/vanpra/compose-material-dialogs/main/imgs/color_picker.png)

[![Maven Central](https://maven-badges.herokuapp.com/maven-central/io.github.vanpra.compose-material-dialogs/color/badge.svg)](https://maven-badges.herokuapp.com/maven-central/io.github.vanpra.compose-material-dialogs/color)

```gradle
dependencies {
  ...
  implementation "io.github.vanpra.compose-material-dialogs:color:${version}"
  ...
}
```

## For Developers

If you would like to help by contributing to the library have a look at our [Contribution Guide](https://github.com/vanpra/compose-material-dialogs/blob/main/CONTRIBUTING.md) to get started

## Credits

This library's design is heavily inspired by https://github.com/afollestad/material-dialogs
